Bug 103993 - 2.6 Test Kernel kills access to RPM Database
Summary: 2.6 Test Kernel kills access to RPM Database
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://people.redhat.com/arjanv/2.5/R...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-08 21:27 UTC by Omkhar Arasaratnam
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Omkhar Arasaratnam 2003-09-08 21:27:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
The following error is observed if the latest (sept 5th) 2.6.0-0.test4.1.33
kernels are installed on RH9 with the latest errata.

[root@omkhar root]# rpm -qa
rpmdb: unable to join the environment
error: db4 error(11) from dbenv->open: Resource temporarily unavailable
error: cannot open Packages index using db3 - Resource temporarily unavailable (11)
error cannot open Packages database in /var/lib/rpm
no packages

However, this works fine under 2.4.20-20.9

Version-Release number of selected component (if applicable):
2.6.0-0.test4.1.33

How reproducible:
Always

Steps to Reproduce:
See above
    

Actual Results:  See Above

Expected Results:  See above

Additional info:

Comment 1 Omkhar Arasaratnam 2003-09-26 19:53:49 UTC
Apparently this can be resolved with the latest RPM from here :
ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.2.x

Perhaps this can be added as a dependancy?

Comment 2 Bugzilla owner 2004-09-30 15:41:31 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.